repmgr cluster cleanup

# repmgr cluster cleanup

purge monitoring history

## Description

Purges monitoring history from the `repmgr.monitoring_history` table to prevent excessive table growth.

By default all data will be removed; Use the `-k/--keep-history` option to specify the number of days of monitoring history to retain.

This command can be executed manually or as a cronjob.

## Usage

This command requires a valid `repmgr.conf` file for the node on which it is executed; no additional arguments are required.

## Notes

Monitoring history will only be written if &repmgrd; is active, and `monitoring_history` is set to `true` in `repmgr.conf`.

## Event notifications

A `cluster_cleanup` event notification will be generated.

## Options

`--node-id`

  Only delete monitoring records for the specified node.

## See also

For more details see the sections and .